Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Pesadilla con la actualizacion de un foro

🔎 Foros de soporte phpBB 3.2
Responder
elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Pesadilla con la actualizacion de un foro

#1

Mensaje por elc79 » 08 Dic 2018, 07:40

Buenos días, como favor a alguien que no tiene tiempo para hacer el mantenimiento de su foro, yo me puse como voluntario para hacerlo, hice varias pruebas en mi servidor personal ya que se trataba de actualizar de la version 3.0.8 a la actual 3.2.4, por lo cual segui los pasos descritos en la pagina oficial de phpBB, bueno, antes segui el tutorial de transferencia de un sitio a otro para la version 3.0, el unico problema que tuve fue que me saltaba el limite de tiempo al actualizar la base de datos durante la ejecucion del instalador al actualizar a 3.2.4 cosa que a nivel local es facilmente subsanable mediante la ejecucion de la herramienta de consola phpbbcli.php.

Ahora viene el problema, me puse hacer la actualizacion en el servidor ayer a ultima hora de la tarde, y sorpresa, cuando ya habia subido los archivos nuevos y estaba ejecutandose la actualizacion de la base de datos me salta algo tal que asi:
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.
El error probablemente viene porque aunque yo no lo sabia, la version de php debe ser anterior a la 4.3 ya que con bigdump no puedo subir bases de datos en formato .gz, de haberlo sabido no me habria liado la manta a la cabeza porque si no estoy equivocado phpbb 3.2 solo puede ejecutarse con versiones de la 5.6 en adelante.

Bien, una cosa no sale, pues se intenta volver atras, aqui viene lo que es la peor pesadilla que podia tener respecto a esto. Al parecer durante el intento de actualizar a 3.2.4 la base de datos fue manipulada, entonces por mas que subia los archivos previamente guardados como copia de seguridad, me encuentro con el problema de que cada vez que intento subir la copia de la base de datos, se pega un rato tremendo y al final me salta "504 gateway timeout", asi varias veces y estoy desesperado porque no tengo otra manera de subir la base de datos ya que solo tengo acceso al ftp pero no al panel de control, phpmyadmin o por ssh, y de verdad que me fastidia mucho porque es un foro del que soy usuario y me gusta mucho ese foro, seguramente es fallo mio por no haber comprobado la puñetera version de php pero el caso es que la he liado y me gustaria que me ayudaseis para saber como puedo resolver este lio.

De lo que dispongo son de las copias de archivo hechas por mi mismo a traves de ftp, varias copias de seguridad de la bbdd hechas a traves del pca, y una copia de la bbdd hechas de phpmyadmin a dia 30 de noviembre que me envio el admin del foro, tengo acceso al ftp y de momento nada mas, ya le he dicho al admin del foro que seguramente con privilegios mayores podria resolverlo por ssh pero lo que tiene es un hosting compartido con datos de clientes y a lo mejor no puede hacerlo. Por favor, ayuda.


Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#2

Mensaje por elc79 » 08 Dic 2018, 09:42

Por fin he podido restablecer el foro, no a la fecha de ayer porque al parecer la base de datos estaba corrupta, pero pude restablecer otra de hace unos dias, como mencion no se que porqueria de copias de seguridad hace phpBB pero he podido comprobar que no se hacian bien, tenian partes corruptas y fruto de ello no se veian algunas tablas.

En fin, el problema mayor que era el de tener el foro caido esta resuelto, pero me gustaria saber que clase de mantenimiento puedo realizar para que las copias de seguridad realizadas desde el propio phpBB sean buenas.
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

rubencm
Observador/a
Mensajes: 24
Registrado: 14 Mar 2017, 14:50
Nombre real: Rubén
Género:

Re: Pesadilla con la actualizacion de un foro

#3

Mensaje por rubencm » 08 Dic 2018, 10:01

elc79 escribió:
08 Dic 2018, 09:42
Por fin he podido restablecer el foro, no a la fecha de ayer porque al parecer la base de datos estaba corrupta, pero pude restablecer otra de hace unos dias, como mencion no se que porqueria de copias de seguridad hace phpBB pero he podido comprobar que no se hacian bien, tenian partes corruptas y fruto de ello no se veian algunas tablas.

En fin, el problema mayor que era el de tener el foro caido esta resuelto, pero me gustaria saber que clase de mantenimiento puedo realizar para que las copias de seguridad realizadas desde el propio phpBB sean buenas.
Si están corruptas malo, mejor restaura desde una copia de seguridad que esté bien.
Te recomiendo usar mysqldump si puedes


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#4

Mensaje por elc79 » 08 Dic 2018, 10:27

rubencm escribió:
elc79 escribió:
08 Dic 2018, 09:42
Por fin he podido restablecer el foro, no a la fecha de ayer porque al parecer la base de datos estaba corrupta, pero pude restablecer otra de hace unos dias, como mencion no se que porqueria de copias de seguridad hace phpBB pero he podido comprobar que no se hacian bien, tenian partes corruptas y fruto de ello no se veian algunas tablas.

En fin, el problema mayor que era el de tener el foro caido esta resuelto, pero me gustaria saber que clase de mantenimiento puedo realizar para que las copias de seguridad realizadas desde el propio phpBB sean buenas.
Si están corruptas malo, mejor restaura desde una copia de seguridad que esté bien.
Te recomiendo usar mysqldump si puedes
Ese es el problema, amigo, no tengo acceso mas que al ftp, pude borrar la base de datos corrompida mediante el codigo metido en un php pero no tengo acceso ssh para ejecutar programas a nivel de consola como puedo hacer en mi servidor de pruebas, en fin, como de momento no quiero meterme en mas berenjenales lo unico que he hecho es actualizar phpBB a la version 3.0.14 que aunque ya esta obsoleta asi por lo menos en el ACP ya no dice que esta desactualizada, sale el mensaje de recomendacion de actualizar a 3.2.4 pero ningun mensaje en rojo.

El caso es que incluso el dump que hizo el admin en phpmyadmin me dio fallos en bigdump, y creo que el problema era que habia codigo html en dicho archivo sql, en fin, no me habia visto en una de estas antes y la verdad que me asuste bastante porque cuando tienes todos los medios a tu disposicion pues dices "ah, que la version de php es vieja, pues la actualizo" "que se me corrompido la base de datos, no hay problema, tengo copias sanas y software para restaurarlas" pero la verdad que sin saber que es lo que tiene ese hosting, creo que le hace falta una buena actualizacion al servidor. En fin, ya veremos como progresa este caso, gracias por la atencion, socio.
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#5

Mensaje por elc79 » 10 Dic 2018, 18:41

AbaddonOrmuz escribió:
10 Dic 2018, 11:37
@elc79 Veamos, la version mínima supuestamente es 5.4.7, la de tu amigo 5.4.45, 45 es mayor a 7, por lo tanto cumple la versión mínima.
Esto me ha dejado descolocado porque desde el principio pense que el fallo en la actualizacion fue porque no se cumplian los requisitos minimos, pero si la version de php era apta para correr phpBB 3.2, que es lo que fue mal?

Por suerte tengo guardado el mensaje de error que salio:
Spoiler
Mostrar
General Error:SQL ERROR [ mysqli ]Data truncated for column 'session_ip' at row 1 [1265]SQLALTER TABLE `phpbb_3sessions` CHANGE `session_user_id` `session_user_id` INT(10) UNSIGNED DEFAULT '0' NOT NULL in file /home3/walkinm9/public_html/foro/phpbb/db/driver/driver.php on line 997BACKTRACEFILE: (not given by php)LINE: (not given by php)CALL: installer_msg_handler()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 997CALL: trigger_error()FILE: [ROOT]/phpbb/db/driver/mysqli.phpLINE: 193CALL: phpbb\db\driver\driver->sql_error()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 1064CALL: phpbb\db\driver\mysqli->sql_query()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 1814CALL: phpbb\db\tools\tools->_sql_run_sql()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 507CALL: phpbb\db\tools\tools->sql_column_change()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\db\tools\tools->perform_schema_changes()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 714CALL: call_user_func_array()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 661CALL: phpbb\db\migrator->run_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 400CALL: phpbb\db\migrator->process_data_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 288CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 241CALL: phpbb\db\migrator->update_do()FILE: [ROOT]/phpbb/install/module/update_database/task/update.phpLINE: 160CALL: phpbb\db\migrator->update()FILE: [ROOT]/phpbb/install/module_base.phpLINE: 149CALL: phpbb\install\module\update_database\task\update->run()FILE: [ROOT]/phpbb/install/installer.phpLINE: 219CALL: phpbb\install\module_base->run()FILE: [ROOT]/phpbb/install/controller/update.phpLINE: 133CALL: phpbb\install\installer->run()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.phpLINE: 111CALL: call_user_func()FILE: [ROOT]/vendor/symfony/http-foundation/Response.phpLINE: 383CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()FILE: [ROOT]/install/app.phpLINE: 62CALL: Symfony\Component\HttpFoundation\Response->send()
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 636
Registrado: 14 Ene 2017, 22:18
Nombre real: Alfredo
Ubicación: /dev/null
Género:
Contactar:

Re: Pesadilla con la actualizacion de un foro

#6

Mensaje por AbaddonOrmuz » 10 Dic 2018, 19:15

El error lo arrojó MySQL, al parecer la migración intentó cambiar phpbb_3sessions.session_user_id pero tu tabla contenía algún un número mayor a los 10 dígitos máximos permitidos (INT(10)).

Me parece que es problema de la versión de MySQL que tiene tu amigo en su servidor, hay un par de reportes al respecto, aunque también podría ser problema del instalador.

He leído que varias personas han tenido problemas al actualizar desde phpBB 3.0.x a 3.2.x, en el foro en inglés algunos comentan que han tenido que actualizar de 3.0.x a 3.1.x y luego a 3.2.x para evitar esos errores, aunque en las actualizaciones que he hecho no he tenido ese problema :thinking:

https://bugs.mysql.com/bug.php?id=26626

Es raro que permitan el uso de versiones muy antiguas, almenos en el hosting en el que he ayudado y los que he usado, actualizan las versiones (con aviso previo) frecuentemente, no solo por seguridad sino por rendimiento. O es que han hecho alguna excepción con tu amigo?

Te recomendaría que checaras la guía para reconstruir el fichero config.php si es que no lo has hecho, ya que ahí se establece el controlador de MySQL, que debería ser mysqli
Algunas de mis extensiones: [ Imgur | Metadatos SEO | Markdown ]
Checa todas mi extensiones
Usuario de Arch Linux


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#7

Mensaje por elc79 » 10 Dic 2018, 20:05

Si, en el config.php esta el dbms='mysqli', no se que es lo que pudo fallar, hice exactamente lo mismo despues de hacer el clonado del foro en mi servidor local y no tuve problemas a la hora de actualizar a 3.2, la unica cosa que se me ocurre que tal vez ocasionara ese lio es que el paso del STK no pude hacerlo porque no tengo privilegios de fundador, pero creo que no hay mods en ese foro.
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 636
Registrado: 14 Ene 2017, 22:18
Nombre real: Alfredo
Ubicación: /dev/null
Género:
Contactar:

Re: Pesadilla con la actualizacion de un foro

#8

Mensaje por AbaddonOrmuz » 10 Dic 2018, 21:27

Es un misterio, también me ha pasado algunas veces, que algo que funcionó en local no lo hace en el servidor en producción :? son tantas variables que seguro algo se pasa por alto.

Me parece que el STK hace más que limpiar MODs, o almenos me parece haber visto que corregía índices en alguna tabla corrupta.

Para futuras referencias, para hacerte de privilegios de fundador solo hay que cambiar phpbb_users.user_type a 3 (USER_FOUNDER), esta definido en includes/constants.php sólo recuerda el valor antiguo para revertir los cambios. Cada que se cambie manualmente la base de datos, es necesario limpiar la caché para que se vean reflejados los cambios.
Algunas de mis extensiones: [ Imgur | Metadatos SEO | Markdown ]
Checa todas mi extensiones
Usuario de Arch Linux


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#9

Mensaje por elc79 » 10 Dic 2018, 21:49

Si, ya se que es tan simple como hacer una consulta sencillita a traves de php, pero me daba apuro tomarme esa libertad. Lo que menos me gusta es la posibilidad de que el error fuera cosa de loteria porque eso es lo que ahora mismo me tiene bastante cohibido a tal punto que no se si quiero volver a arriesgarme a pasar otro mal rato, porque la pifias con algo que es tuyo pues tu te lo guisas y tu te lo comes, pero pifiarla con algo que no es tuyo es un escenario muy incomodo. Puede que haga el experimento de volver a subir el foro a mi servidor local, ponerme como fundador y ver que es lo que pilla el database cleaner del STK.
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#10

Mensaje por elc79 » 11 Dic 2018, 11:40

Repito el clonado del foro a mi servidor local y acto seguido procedo a la actualizacion siguiendo el tutorial de phpBB aqui descrito.

El STK la unica cosa irregular que pilla es un campo personalizado para "Moderador de foro" que lo dejo marcado para eliminar, le digo yes a todas las opciones que me da el database cleaner pero no parece que haya mod alguno, no obstante si el problema pudiera venir de alguna de esas opciones que dice de restablecer pues se restablecieron todas las que pedia el database cleaner.

Despues dejar activado solamente prosilver y poner como lenguaje por defecto el british english, procedo a eliminar los archivos y carpetas que hay que eliminar y copio los archivos y carpetas nuevos segun dice el mismo tutorial, despues ejecuto el actualizador y todo transcurre con normalidad hasta que de repente:
Spoiler
Mostrar
General Error:SQL ERROR [ mysqli ]Table 'walkinm9_foro.phpbb_3oauth_states' doesn't exist [1146]SQLDELETE FROM phpbb_3oauth_states WHERE user_id = 3939 in file C:\Ampps\www\wd\phpbb\db\driver\driver.php on line 997BACKTRACEFILE: (not given by php)LINE: (not given by php)CALL: installer_msg_handler()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 997CALL: trigger_error()FILE: [ROOT]/phpbb/db/driver/mysqli.phpLINE: 193CALL: phpbb\db\driver\driver->sql_error()FILE: [ROOT]/phpbb/db/driver/factory.phpLINE: 329CALL: phpbb\db\driver\mysqli->sql_query()FILE: [ROOT]/includes/functions_user.phpLINE: 676CALL: phpbb\db\driver\factory->sql_query()FILE: [ROOT]/phpbb/db/migration/data/v310/bot_update.phpLINE: 138CALL: user_delete()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\db\migration\data\v310\bot_update->update_bots()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 714CALL: call_user_func_array()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 661CALL: phpbb\db\migrator->run_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 436CALL: phpbb\db\migrator->process_data_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 288CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 241CALL: phpbb\db\migrator->update_do()FILE: [ROOT]/phpbb/install/module/update_database/task/update.phpLINE: 160CALL: phpbb\db\migrator->update()FILE: [ROOT]/phpbb/install/module_base.phpLINE: 149CALL: phpbb\install\module\update_database\task\update->run()FILE: [ROOT]/phpbb/install/installer.phpLINE: 219CALL: phpbb\install\module_base->run()FILE: [ROOT]/phpbb/install/controller/update.phpLINE: 133CALL: phpbb\install\installer->run()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.phpLINE: 111CALL: call_user_func()FILE: [ROOT]/vendor/symfony/http-foundation/Response.phpLINE: 383CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()FILE: [ROOT]/install/app.phpLINE: 62CALL: Symfony\Component\HttpFoundation\Response->send()
Este creo que es el mismo error que me hizo en la actualizacion inicial que hice en el servidor de mi amigo, y efectivamente esa tabla no existe, de hecho de todas las copias de seguridad que tengo, esa tabla solo existe en dos copias de seguridad que hice tras la actualizacion exitosa que tuve en mi servidor local, pero la base de datos original no contenia esa tabla y la actualizacion tuvo exito. Entonces es aqui donde me pregunto porque me salta este error cuando esa tabla no existe en el foro actualmente, no forma parte de la estructura de phpBB 3.0 y me salta ese error tanto ejecutando el instalador como usando phpbbcli.php en la linea de comandos. Aclaracion que para no tener problemas de incompatibilidad con php tanto ejecutando phpBB 3.0 como phpBB 3.2 la version es la 5.6 que esta soportada por ambas versiones de phpBB y la version de mysql es la 5.6.37.

Ahora mismo estoy estupefacto porque os aseguro que la vez anterior incluso sin hacer lo del STK, pude actualizar exitosamente haciendo exactamente lo mismo salvo lo del STK, que descarto que el problema pueda venir de por ahi porque el error que me ha saltado esta vez es el mismo que me salto al actualizar en el servidor de mi amigo, y ahi no podia ejecutar el STK porque no tenia rol de fundador.

PD: Vale, echando vista hacia arriba veo que el error es distinto, en este caso ese error salta tras esta operacion "Installing Data: \phpbb\db\migration\data\v310\bot_update."

Adjunto tambien la salida de phpbbcli.php
Spoiler
Mostrar
Fatal error: SQL ERROR [ mysqli ]<br /><br />Table 'walkinm9_foro.phpbb_3oauth_states' doesn't exist [1146]<br /><br />An SQL error occurred while fetching this page. Please contact the <a href="mailto:xxx">Board Administrator</a> if this problem persists. in C:\Ampps\www\wd\phpbb\db\driver\driver.php on line 997

Call Stack:
0.0010 135224 1. {main}() C:\Ampps\www\wd\bin\phpbbcli.php:0
10.6746 15654824 2. Symfony\Component\Console\Application->run() C:\Ampps\www\wd\bin\phpbbcli.php:90
10.8016 15824144 3. phpbb\console\application->doRun() C:\Ampps\www\wd\vendor\symfony\console\Application.php:117
10.8016 15824360 4. Symfony\Component\Console\Application->doRun() C:\Ampps\www\wd\phpbb\console\application.php:122
10.8026 15824816 5. Symfony\Component\Console\Application->doRunCommand() C:\Ampps\www\wd\vendor\symfony\console\Application.php:185
10.8856 15857152 6. Symfony\Component\Console\Command\Command->run() C:\Ampps\www\wd\vendor\symfony\console\Application.php:853
10.8866 15858232 7. phpbb\console\command\db\migrate->execute() C:\Ampps\www\wd\vendor\symfony\console\Command\Command.php:245
13.2468 18559424 8. phpbb\db\migrator->update() C:\Ampps\www\wd\phpbb\console\command\db\migrate.php:68
13.2468 18559528 9. phpbb\db\migrator->update_do() C:\Ampps\www\wd\phpbb\db\migrator.php:241
13.2578 18560304 10. phpbb\db\migrator->try_apply() C:\Ampps\www\wd\phpbb\db\migrator.php:288
13.3738 18562984 11. phpbb\db\migrator->process_data_step() C:\Ampps\www\wd\phpbb\db\migrator.php:436
13.3738 18563040 12. phpbb\db\migrator->run_step() C:\Ampps\www\wd\phpbb\db\migrator.php:661
13.3738 18563576 13. call_user_func_array:{C:\Ampps\www\wd\phpbb\db\migrator.php:714}() C:\Ampps\www\wd\phpbb\db\migrator.php:714
13.3738 18563968 14. phpbb\db\migration\data\v310\bot_update->update_bots() C:\Ampps\www\wd\phpbb\db\migrator.php:714
13.5558 19602992 15. user_delete() C:\Ampps\www\wd\phpbb\db\migration\data\v310\bot_update.php:138
14.7858 19973880 16. phpbb\db\driver\factory->sql_query() C:\Ampps\www\wd\includes\functions_user.php:676
14.7858 19973912 17. phpbb\db\driver\mysqli->sql_query() C:\Ampps\www\wd\phpbb\db\driver\factory.php:329
14.8048 19974112 18. phpbb\db\driver\driver->sql_error() C:\Ampps\www\wd\phpbb\db\driver\mysqli.php:193
14.8058 19975488 19. trigger_error() C:\Ampps\www\wd\phpbb\db\driver\driver.php:997
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 781
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:
Edad: 58

Re: Pesadilla con la actualizacion de un foro

#11

Mensaje por J_Sparrow » 11 Dic 2018, 14:02

Sigo con interés este tema, porque me interesa y en cierta forma me intriga.
Me intriga porque en su día cuando actualicé mi Foro a la versión 3.2, aparte de tener el mismo problema con las copias de seguridad (no las hacía bien, no me di cuenta y tuve que pagar para que me mandaran una copia de mi servidor), el STK fue un auténtico desastre. Me eliminó cosas que no debía (tal vez por desconocimiento mio, 100%) y luego porque no estaba usando el STK para la versión de Foro adecuada.
Lo comento por si te puede servir de ayuda, ya que una vez abonada la cantidad que me solicitaron por la copia de mi servidor, hice pruebas en local sin usar el STK, pero siguiendo todas las pautas de los tutoriales de este Foro y todo fue OK. Volví a repetir el proceso en el servidor donde tengo alojado el Foro y sin usar el STK y algún problemilla subsanable me salto, pero logré que funcionase. Desde entonces (ya hace mas de un año) le tengo pánico a cualquier actualización, porque lo que funciona en Local, no quiere decir que que funcione en el servidor (se lo he leído a @AbaddonOrmuz por algún lado y que razón tiene).
Estoy reticente a actualizar mi versión actual, porque no leo nada mas que problemas. Se lanzó la versión 3.1 y parecía que era el no va mas, que las actualizaciones iban a ser la maravilla de php y resulta que las actualizaciones de la 3.0, eran mil veces mejor, mas trabajo, pero mejor. Sale la 3.2, rezo para que el tema de las actualizaciones sean mas simples y seguras para los neófitos como yo en estos temas y zas, peor, problemas graves, errores descomunales y mi "acojono" (perdón por la palabreja", va en aumento con cada versión. "Dicen" que la 3.3 va a ser distinta y mejor, pero ya no me creo nada de nada. Encima cada vez se retrasa mas y mas y yo no culpo a nadie y menos a los programadores, que bastante tienen, pero esto ya se empieza a parecer a Windows, que tiene fallos cada dos por tres, continuos parches de seguridad y para colmo la ultima actualización que sacaron la tuvieron que retirar porque borraba información del SO.
Rezo todos los días (y no soy católico practicante), para que en un plazo corto de tiempo vea la luz la versión 3.3 y de una santa vez simplifiquen las cosas. Pero seguro que cierro mi Foro por aburrimiento antes de ver ese milagro.

Sigo atento a este tema y perdonar la paliza de chapa que os he dado. Considero que pueda ser útil a alguien, aunque sea solo para odiarme :D :D :D
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#12

Mensaje por elc79 » 11 Dic 2018, 14:48

@J_Sparrow, tiene sentido lo de buscar la via espiritual ya que al parecer la respuesta a cual pudo ser la razon de este error es un misterio, incluso en el foro de phpBB me han sugerido una actualizacion por fases, primero a 3.0.14, luego 3.1.12 y finalmente 3.2.4, y si, esto no me asusta intentarlo en el servidor local porque tengo bien configurado los php.ini de modo que no tengo miedo de los malditos timeouts, pero en el servidor de mi amigo tuve un huevo de problemas con los timeouts, al limite de que la unica manera que tuve de subir la base de datos fue dividiendola con mysqlsplitter en unos 4 o 5 archivos (la base de datos es de 211m), usando bigdump claro esta. En fin, el caso es que esta operacion la tengo en fase de pruebas hasta que crea que hay garantias de sobras para realizarla sin miedo a que el foro vuelva a quedar fuera de combate, a lo mejor hay que esperar a que salga la version 3.3 que yo lei que en principio iba a salir a finales del año pasado asi que... :?:
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

elc79
Observador/a
Mensajes: 16
Registrado: 08 Dic 2018, 07:22

Re: Pesadilla con la actualizacion de un foro

#13

Mensaje por elc79 » 14 Dic 2018, 22:28

Bueno, finalmente creo que la mejor solucion es lo que voy a describir en este mensaje.

Queda en evidencia que la actualizacion de una version a otra varios pasos superior (3.0 a 3.2) tiene lagunas importantes, asi que tal y como me dijo un amable forero en phpBB lo mejor que se puede hacer es actualizar en fases, yo creo que la carencia mayor de actualizar de 3.0 a 3.2 por la via directa es que se salta pasos que si se hacen actualizando de 3.0 a 3.1 no me pregunteis que pero yo os digo lo que hice, varias veces, y ha funcionado todas, aclaro que cada paso se hace siguiendo lo que dice la pagina de phpBB para cada version:

1. Si no estamos en la ultima version de 3.0 actualizamos a 3.0.14.
2. Actualizamos a 3.1.12
3. Actualizamos a 3.2.4

De verdad que dependiendo de la configuracion del servidor remoto esto puede ser algo bastante aterrador y sobre todo lo que es actualizar de 3.1.12 a 3.2.4 puede costar tiempo suficiente para que salga algun mensaje de que se ha pasado el limite de tiempo, en teoria si se le da a recargar no pasa nada, la operacion sigue y hay que hacerlo hasta que se haya completado la operacion.

Pero yo quiero rizar el rizo precisamente por eso, porque no me fio de la configuracion del servidor remoto, entonces me curo en salud y la idea es encontrar un rato largo en el que pueda realizar lo siguiente:

1. Desactivo el foro, limpio cache y toda la morralla inutil que lo unico que hace es hacer la base de datos mas pesada, hago una copia de seguridad desde el panel de administracion, rezo lo que sepa para que la copia salga bien y si mis plegarias no son escuchadas repito la operacion hasta que tenga exito. Por supuesto hago una copia de todos los archivos para utilizarlos en modo local.

2.Efectuo el clonado a mi servidor local bien configurado y que si via php falla algo con las bases de datos pues ejecuto via mysql. Antes de eso tal vez me conviene limpiar los mensajes y mensajes privados de bbcodes que voy a reemplazar mas tarde, lo hago con Notepad++. Despues de eso cuando veo tengo una copia local operativa procedo a la actualizacion por fases.

3.Despues de comprobar que en modo local ya tengo el foro actualizado a la version 3.2.4, simplemente por quitarme tareas en modo remoto, instalo algun estilo que me guste, instalo extensiones como phpbb media embed, advanced bbcode box, lightbox y puede que alguna mas, reparcheo con phpbbcli.php para que se apliquen correctamente todos los cambios a la base de datos. Cuando ya tengo eso hago una copia de seguridad de la base de datos, aqui no tengo que rezar porque ya se que va a funcionar a la primera.

4.Clonado a la inversa, en el servidor remoto borro todo menos el config.php no sea que se me escape alguna cosa, si hace falta reconstruirlo se reconstruira. Como no tengo acceso a phpmyadmin creo un pequeño php con codigo mysql para vaciar la base de datos, no se si de la vigente base de datos de phpBB 3.0 podria quedar alguna tabla sin utilizar asi que por eso lo hago y despues con bigdump empiezo a subir la base de datos previamente partida en trocitos para no llevarme un susto con los condenados limites de tiempo, cuando termino de subirla o incluso mientras para ahorrar tiempo voy subiendo los archivos que tengo en mi servidor local. Terminamos y asi en plan feliz seguro que todo ha ido de maravilla, ya tengo el foro operativo y con suerte no me ha llevado mas de dos horas, la otra version es que algo sale mal y yo... :angry: :swear:

Muchas gracias a todos, de nuevo se demuestra que en el mundo libre se tiene la ayuda mas importante, la comunidad.
Datos de Soporte
Spoiler
Mostrar
URL: localhost
Estilo(s) usuado(s): prosilver
Extensiones instaladas: phpBB Media Embed PlugIn, Advanced BBCode Box 3 y Lightbox
Versión de phpBB: 3.2.4
Servidor: localhost
Si es una actualización desde otra versión: 3.0.8>3.0.14>3.1.12>3.2.4


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “Foros de Soporte 3.2”